Bug 810517 - Transfer error when using rich:fileUpload over WSRP
Transfer error when using rich:fileUpload over WSRP
Status: CLOSED WONTFIX
Product: JBoss Enterprise Portal Platform 5
Classification: JBoss
Component: Portal, PortletBridge (Show other bugs)
5.2.x
i686 Linux
unspecified Severity low
: ---
: 5.2.x
Assigned To: Thomas Heute
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-06 10:09 EDT by Miroslav Cupák
Modified: 2015-01-05 06:59 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-26 03:52:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Server log on the producer side. (19.62 KB, text/x-log)
2012-04-06 10:31 EDT, Miroslav Cupák
no flags Details
Server log on the consumer side. (31.50 KB, text/x-log)
2012-04-06 10:31 EDT, Miroslav Cupák
no flags Details

  None (edit)
Description Miroslav Cupák 2012-04-06 10:09:42 EDT
Description of problem:
RichFaces fileUpload component is not working properly over WSRP. It is possible to choose a file, but an attempt to upload it results in javax.portlet.faces.BridgeException (Unable to serve resource) and a "Transfer error" being reported.

Version-Release number of selected component (if applicable):
2.3.0.CP01.EPP521
Comment 1 Miroslav Cupák 2012-04-06 10:31:00 EDT
Created attachment 575772 [details]
Server log on the producer side.
Comment 2 Miroslav Cupák 2012-04-06 10:31:34 EDT
Created attachment 575773 [details]
Server log on the consumer side.
Comment 3 Ken Finnigan 2012-06-21 10:48:05 EDT
Based on component list of RichFaces for WSRP in EPP 5.2.1 found here: http://docs.redhat.com/docs/en-US/JBoss_Enterprise_Portal_Platform/5.2/html/Reference_Guide/sect-Reference_Guide-RichFaces_Setup_and_Configuration_Options-Configuration_needed_for_Richfaces_to_work_with_WSRP_and_PortletBridge.html

fileUpload is not supported in either local or WSRP modes.

This will be looked at, but is unlikely to be part of EPP 5.2.2
Comment 4 Boleslaw Dawidowicz 2012-06-25 04:11:13 EDT
It is likely to be more WSRP then PBR related in fact so reassigning it to Chris and postponing to 5.2.x. Having the supported components list in mind we can consider putting it for EPP 6.

Note You need to log in before you can comment on or make changes to this bug.